Name:		signal-desktop
Version:	6.6.0
Release:	1%{?dist}
Summary:	Private messaging from your desktop
License:	GPLv3
URL:		https://github.com/signalapp/Signal-Desktop/
Source0:	https://github.com/signalapp/Signal-Desktop/archive/v%{version}.tar.gz
BuildRequires:  binutils
BuildRequires:  git
BuildRequires:  python3
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  bsdtar
BuildRequires:  jq
BuildRequires:  zlib
BuildRequires:  xz
BuildRequires:  nodejs
BuildRequires:  ca-certificates
BuildRequires:  git-lfs
BuildRequires:  python-unversioned-command
BuildRequires:  libxcrypt-compat
BuildRequires:  vips-devel
BuildRequires:  platform-python-devel
BuildRequires:  yarnpkg
AutoReqProv:    no
Provides:       signal-desktop
Requires:       libnotify
Requires:       libXtst
Requires:       nss


%global __requires_exclude_from ^/%{_libdir}/%{name}/release/.*$
%define _build_id_links none


%description
Private messaging from your desktop


%prep
export SOURCE_DATE_EPOCH="$(date +"%s")"
git lfs install
node --version
rm -rf Signal-Desktop-%{version}
tar xfz %{S:0}
pwd
cd Signal-Desktop-%{version}
sed 's#"node": "#&>=#' -i package.json
npm config set python /usr/bin/python3
yarn install --ignore-engines


%build
export SOURCE_DATE_EPOCH="$(date +"%s")"
echo $SOURCE_DATE_EPOCH
cd %{_builddir}/Signal-Desktop-%{version} 
yarn generate
yarn build


%install
%ifnarch x86_64
    %global PACKDIR linux-ia32-unpacked
%else
    %global PACKDIR linux-unpacked
%endif
# copy base files
install -dm755 %{buildroot}/%{_libdir}/%{name}
cp -a %{_builddir}/Signal-Desktop-%{version}/release/linux-unpacked/* %{buildroot}/%{_libdir}/%{name}
install -dm755 %{buildroot}%{_bindir}
ln -s %{_libdir}/%{name}/signal-desktop %{buildroot}%{_bindir}/signal-desktop
install -dm755 %{buildroot}%{_datadir}/applications/
# Changes from upstream:
# 1. Run signal WITH sandbox since it looks like there's no problems with fedora and friends
# 2. Use tray icon by default
# 3. Small fix for tray for Plasma users
cat << EOF > %{buildroot}%{_datadir}/applications/signal-desktop.desktop
[Desktop Entry]
Name=Signal
Exec=/usr/bin/signal-desktop --use-tray-icon %U
Terminal=false
Type=Application
Icon=signal-desktop
StartupWMClass=Signal
Comment=Private messaging from your desktop
MimeType=x-scheme-handler/sgnl;
Categories=Network;InstantMessaging;Chat;
EOF

for i in 16 24 32 48 64 128 256 512 1024; do
    install -dm755 %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/
    install -Dm 644 %{_builddir}/Signal-Desktop-%{version}/build/icons/png/${i}x${i}.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done


%files
%defattr(-,root,root)
#%{_bindir}/*
#%{_libdir}/*
#%{_datadir}/*
 

%changelog
